Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-icon-theme
Version:	2.28.0
Release:	1
License:	GNU/GPL 
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	http://download.gnome.org/sources/gnome-icon-theme/2.24/%{name}-%{version}.tar.bz2
Source200:	gnome-icon-theme-extra-device-icons-4.tar.bz2
Source201: 	legacy-icon-mapping.xml
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A set of icons for GNOME 2 desktop.
BuildArch: 	noarch

BuildRequires: 	icon-naming-utils >= 0.8.7
BuildRequires:	perl-XML-Parser
BuildRequires: 	pkg-config
BuildRequires: 	gettext
BuildRequires: 	librsvg

Requires: 	hicolor-icon-theme
Requires: 	pkg-config
Prereq: 	gtk2+

%description
Contains the base icons needed by the Gnome desktop environment.

%prep
%setup -q

%build
%configure --disable-hicolor-check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## remove these bogus files
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*


# create symlinks for gtk stock icons, these are not really 'legacy'
# this uses the legacy-icon-mapping.xml file in cvs
cd $RPM_BUILD_ROOT/usr/share/icons/gnome
for size in 8x8 16x16 22x22 24x24 32x32 48x48 scalable; do
  (
  cd $size
  for context in *; do
    if [ -d $context ]; then
      (
      cd $context
      INU_DATA_DIR=$RPM_SOURCE_DIR /usr/bin/icon-name-mapping -c $context
      )
    fi
  done
  )
done

tar xj -C $RPM_BUILD_ROOT/usr/share/icons/gnome -f %{SOURCE200}

%clean
rm -rf $RPM_BUILD_ROOT



%post 
for dir in /usr/share/icons/*; do 
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet "$dir" 
    fi
  fi
done

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%_datadir/icons/gnome
%_datadir/pkgconfig

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1 
- Version update
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1 
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1 
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1 
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Tue Jan 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.17.5-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0.1-2
- clean buildchain
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.1-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.14.0-1
- Update to Version 2.14.0
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.4-1
- Initial Release
